import request from '@/utils/request'
//获取子部门列表system:dept:list
export function getDeptList(data) {
  return request({
    'url': '/system/dept/list/'+data,
    'method': 'get',
  })
}
export function getDeptListparent(data) {
  return request({
    'url': '/system/dept/old/list',
    'method': 'get',
	'data':data
  })
}
export function getDeptListmine(data) {
  return request({
    // 'url': '/system/dept/list',
    'url': '/system/dept/noAuthority/list',
    'method': 'get',
	// 'data':data
  })
}
//app查看所属自己的部门信息
export function getselfList(data) {
  return request({
    'url': '/system/dept/app/self/list',
    'method': 'get',
	'data':data
  })
}
//详情 
export function getDeptdetFn(data) {
  return request({
    'url': '/system/dept/'+data,
    'method': 'get',
  })
}
//部门
export function getDeptFn(data) {
  return request({
    url: '/system/user/deptTree',
    method: 'get',
	'data':data
  })
}

